### File

`packages/eui-mobile/packages/core/src/lib/components/base-states.directive.ts`

### Metadata

Selector | `[euimBase]`
Standalone | `true`

### Index

###### Methods

- getCssClasses

###### Inputs

- color
- euimDisabled
- euimFontBold
- euimFontBoldItalic
- euimFontItalic
- euimFontLight
- euimFontRegular
- euimPositionTopEnd
- euimSize2XL
- euimSize2XS
- euimSize3XL
- euimSize4XL
- euimSize5XL
- euimSizeL
- euimSizeM
- euimSizeS
- euimSizeVariant
- euimSizeXL
- euimSizeXS

###### Accessors

- color
- euimSizeVariant

### Inputs

color
Type : `string`

euimDisabled
Type : `boolean`
Default value : `false`

euimFontBold
Type : `boolean`
Default value : `false`

euimFontBoldItalic
Type : `boolean`
Default value : `false`

euimFontItalic
Type : `boolean`
Default value : `false`

euimFontLight
Type : `boolean`
Default value : `false`

euimFontRegular
Type : `boolean`
Default value : `false`

euimPositionTopEnd
Type : `boolean`
Default value : `false`

euimSize2XL
Type : `boolean`
Default value : `false`

euimSize2XS
Type : `boolean`
Default value : `false`

euimSize3XL
Type : `boolean`
Default value : `false`

euimSize4XL
Type : `boolean`
Default value : `false`

euimSize5XL
Type : `boolean`
Default value : `false`

euimSizeL
Type : `boolean`
Default value : `false`

euimSizeM
Type : `boolean`
Default value : `false`

euimSizeS
Type : `boolean`
Default value : `false`

euimSizeVariant
Type : `string`

euimSizeXL
Type : `boolean`
Default value : `false`

euimSizeXS
Type : `boolean`
Default value : `false`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

color
get `color()`
set `color(value: string)`

Parameters :

Name | Type | Optional
value | `string` | No

Returns : `void`

euimSizeVariant
get `euimSizeVariant()`
set `euimSizeVariant(value: string)`

Parameters :

Name | Type | Optional
value | `string` | No

Returns : `void`

# results matching ""

# No results matching ""